Skip to Content
veriom

Create gate policy

POST
/v1/workspaces/{workspace_id}/architecture-intent/gates/policies

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
asset_classes?
Propertiesproperties <= 2000
reason*Reason
Length10 <= length <= 4000
request_key*Request Key
Formatuuid
target_precision?Target Precision
Multiple Of0.0001
Range0.95 <= value <= 1
Default0.95
target_version_id*Target Version Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
asset_classes*
content_sha256*Content Sha256
created_at*Created At
Formatdate-time
created_by_name*Created By Name
id*Id
Formatuuid
metrics*
published_number*Published Number
revision*Revision
rules*array<>
scope_key*Scope Key
state*IntentGateState
Value in"shadow""enforced""retired"
target_precision*Target Precision
target_title*Target Title
target_version_id*Target Version Id
Formatuuid
updated_at*Updated At
Formatdate-time
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/policies' \  -H 'Content-Type: application/json' \  -d '{  "reason": "stringstri",  "request_key": "57cadb9d-efba-4c3f-8576-3d122dfdc17a",  "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1"}'
Example Response
{  "asset_classes": {    "property1": "crown_jewel",    "property2": "crown_jewel"  },  "content_sha256": "string",  "created_at": "2019-08-24T14:15:22Z",  "created_by_name": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "metrics": {    "false_negatives": 0,    "false_positives": 0,    "observed_precision": 0,    "passing_samples": 0,    "promotion_blockers": [      "string"    ],    "reviewed_samples": 0,    "true_positives": 0,    "unknown_samples": 0  },  "published_number": 0,  "revision": 0,  "rules": [    {      "decision_id": "string",      "key": "string",      "rule": {        "id": "string",        "predicates": [          {            "allowed_source_keys": [              "string"            ],            "attribute": "string",            "expected": "string",            "key": "string",            "kind": "entity_present",            "relationship_kinds": [              "string"            ],            "required_sources": [              "code"            ]          }        ],        "title": "string"      },      "source": "invariant"    }  ],  "scope_key": "string",  "state": "shadow",  "target_precision": 0,  "target_title": "string",  "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",  "updated_at": "2019-08-24T14:15:22Z"}